aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-02-02 13:10:22 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-02-02 13:10:22 +0000
commita620b481f3b7d4eb78392db291792a940e5b50b5 (patch)
tree93e6abfc2307b05d29070f0ce11f762899ccf7f3
parent8cd8343f0074cbf0ca97b61e1cc60b15750b745b (diff)
downloadaports-a620b481f3b7d4eb78392db291792a940e5b50b5.tar.gz
aports-a620b481f3b7d4eb78392db291792a940e5b50b5.tar.bz2
aports-a620b481f3b7d4eb78392db291792a940e5b50b5.tar.xz
main/heimdal: fix conflicting docs
-rw-r--r--main/heimdal/APKBUILD30
1 files changed, 22 insertions, 8 deletions
diff --git a/main/heimdal/APKBUILD b/main/heimdal/APKBUILD
index 911b05f007..139539e195 100644
--- a/main/heimdal/APKBUILD
+++ b/main/heimdal/APKBUILD
@@ -2,7 +2,7 @@
# Contributor: Natanael Copa <ncopa@alpinelinux.org>
pkgname=heimdal
pkgver=1.3.1
-pkgrel=2
+pkgrel=3
pkgdesc="An implementation of Kerberos 5"
url="http://www.h5l.org/"
license="BSD"
@@ -77,7 +77,6 @@ package() {
install -m755 -D ../../heimdal-kdc.init ${pkgdir}/etc/init.d/heimdal-kdc
install -m755 -D ../../heimdal-kpasswdd.init ${pkgdir}/etc/init.d/heimdal-kpasswdd
- rm -f "$pkgdir"/usr/bin/compile_et "$pkgdir"/usr/share/man/man1/compile_et.1
# Remove editline, we use libreadline
#rm ${pkgdir}/usr/lib/libeditline.* || return 1
#rm ${pkgdir}/usr/include/editline.h || return 1
@@ -96,20 +95,35 @@ package() {
fi
mv ${pkgdir}/usr/bin/${i} ${pkgdir}/usr/bin/k${i} || return 1
done
- rm -rf ${pkgdir}/usr/share/man/cat{1,3,5,8}
+ for i in 1 3 5 8; do
+ rm -rf "$pkgdir"/usr/share/man/cat$i
+ done
# Remove conflicts
- rm ${pkgdir}/usr/share/man/man5/ftpusers.5*
+ # e2fsprogs
+ rm -f "$pkgdir"/usr/bin/compile_et \
+ "$pkgdir"/usr/share/man/man1/compile_et.1
+ # man-page
+ rm "$pkgdir"/usr/share/man/man5/ftpusers.5*
+ # openssl
+ rm "$pkgdir"/usr/share/man/man3/DES*
+ rm "$pkgdir"/usr/share/man/man3/DH*
+ rm "$pkgdir"/usr/share/man/man3/EVP*
+ rm "$pkgdir"/usr/share/man/man3/OpenSSL*
+ rm "$pkgdir"/usr/share/man/man3/RAND*
+ rm "$pkgdir"/usr/share/man/man3/RSA*
+ # erlang
+ rm "$pkgdir"/usr/share/man/man3/os.3*
# Compress info pages
for page in heimdal hx509; do
- gzip -9 ${pkgdir}/usr/share/info/${page}.info
+ gzip -9 "$pkgdir"/usr/share/info/${page}.info
done
# Install the license
- install -d ${pkgdir}/usr/share/licenses/${pkgname}
- install -D -m644 ${srcdir}/${pkgname}-${pkgver}/LICENSE \
- ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
+ install -d "$pkgdir"/usr/share/licenses/$pkgname
+ install -D -m644 "$srcdir"/$pkgname-$pkgver/LICENSE \
+ "$pkgdir"/usr/share/licenses/$pkgname/ || return 1
}
ftp() {